@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix gax-validation:  <https://schemas.abc-federation.gaia-x.community/wip/vocab/validation#> .

@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dct: <http://purl.org/dc/terms/> .
@prefix dcat: <http://www.w3.org/ns/dcat#> .
@prefix gax-core: <https://schemas.abc-federation.gaia-x.community/wip/vocab/core#> .
@prefix gax-node: <https://schemas.abc-federation.gaia-x.community/wip/vocab/node#> .
@prefix gax-resource: <https://schemas.abc-federation.gaia-x.community/wip/vocab/resource#> .
@prefix gax-participant: <https://schemas.abc-federation.gaia-x.community/wip/vocab/participant#> .
@prefix gax-service: <https://schemas.abc-federation.gaia-x.community/wip/vocab/service#> .
@prefix gax-compliance: <https://schemas.abc-federation.gaia-x.community/wip/vocab/compliance#> .
@prefix vcard: <http://www.w3.org/2006/vcard/ns#> .
@prefix did: <https://www.w3.org/TR/did-core/#> .
@prefix cred: <https://www.w3.org/2018/credentials/#> .

gax-validation:LocatedServiceOfferingShape
	a sh:NodeShape ;
	sh:targetClass gax-service:LocatedServiceOffering ;
	sh:property [ sh:path gax-service:isImplementationOf ;
				  sh:name "is implementation of" ;
				  sh:order 1 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:class gax-service:ServiceOffering ] ;
	sh:property [ sh:path gax-service:isHostedOn ;
				  sh:name "is hosted on" ;
				  sh:order 2 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:class gax-participant:Location ] ;
	sh:property [ sh:path gax-service:hasComplianceCertificateClaim ;
				  sh:name "has compliance certificate claim" ;
				  sh:order 3 ;
				  sh:minCount 0 ;
				  sh:class gax-compliance:ComplianceCertificateClaim ] ;
	sh:property [ sh:path gax-service:hasComplianceCertificateCredential ;
				  sh:name "has compliance certificate credential" ;
				  sh:order 4 ;
				  sh:minCount 0 ;
				  sh:class gax-compliance:ComplianceCertificateCredential ] ;
.
